Subject: bug#20728: 25.0.50; grep and grep-find templates should have a place holder for the --color argument

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Jun 2015 11:59:39 +0300

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 5 Jun 2015 11:29:23 +0300
> 
> On 06/05/2015 09:58 AM, Eli Zaretskii wrote:
> 
> > Please try to be less cryptic: what should I look for, and how?
> 
> There are no occurrences of '%s' in grep.el outside of 
> grep-compute-defaults.

I'm suggesting to add one.

> >> Have you looked at the values of grep-template and grep-find-template?
> >
> > Yes.
> 
> That is the way we construct variable-form commands in grep.el.

I'm suggesting to change that, for this specific issue.  We do that in
any number of other packages where a shell command needs to be
dynamically calculated guided by options.